Skip to main content
GET
/
content-gap
/
prompts
List Content Gap Prompts
curl --request GET \
  --url https://server.promptwatch.com/api/v2/content-gap/prompts \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "prompt": "<string>",
      "type": "ORGANIC",
      "intent": "BRANDED",
      "languageCode": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "responseCount": 123,
      "latestContentGap": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "score": 123,
        "date": "2023-11-07T05:31:56Z",
        "sitemapTotalUrls": 123,
        "sitemapCrawledUrls": 123,
        "queryFanoutsCount": 123
      }
    }
  ],
  "total": 123,
  "page": 123,
  "size": 123,
  "totalPages": 123
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.

Query Parameters

page
number
default:1
Required range: x >= 1
size
number
default:25
Required range: 1 <= x <= 100
query
string
promptTypes

Filter by prompt types. Repeat for multiple

Available options:
ORGANIC,
BRAND_SPECIFIC,
COMPETITOR_COMPARISON
intentTypes

Filter by intent types. Repeat for multiple

Available options:
BRANDED,
INFORMATIONAL,
NAVIGATIONAL,
COMMERCIAL,
TRANSACTIONAL
hasCoverage
boolean
sortBy
enum<string>
Available options:
contentCoverageScore,
createdAt
sortOrder
enum<string>
Available options:
asc,
desc

Response

Default Response

items
object[]
required
total
number
required
page
number
required
size
number
required
totalPages
number
required